/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GENERATEOPENVPNKEYDIALOG_H
#define GENERATEOPENVPNKEYDIALOG_H

#include <kdialog.h>
#include "ui_generateopenvpnkeydialogbase4.h"
#include <Qt3Support/Q3Process>
#include "kvpncconfig.h"
#include <QtCore/qstringlist.h>

/**
@author Christoph Thielecke
*/
class GenerateOpenvpnKeyDialog : public KDialog, public Ui_GenerateOpenvpnKeyDialogBase
{
Q_OBJECT
public:
		GenerateOpenvpnKeyDialog(KVpncConfig *GlobalConfig,QWidget *parent, const QString& caption);

	~GenerateOpenvpnKeyDialog();
	void canAccept();
	QString filename;
	bool genOk;
	
public slots:
	void accept();
	void readStdErr();

private:
	Q3Process *generateOpenvpnKeyProcess;
	KVpncConfig *GlobalConfig;
	QStringList *env;
};

#endif
