/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef VPNTYPESINFODIALOG_H
#define VPNTYPESINFODIALOG_H

#include <q3ptrlist.h>
#include <kdialog.h>
#include "kvpnc.h"
#include "kvpncconfig.h"
#include "ui_toolsinfowidgetbase4.h"

/**
	@author Christoph Thielecke <crissi99@gmx.de>
*/
class VpnTypesInfoDialog: public KDialog
{
	public:
		VpnTypesInfoDialog(KVpncConfig *GlobalConfig, QWidget *parent = 0, const char *name = 0);
		~VpnTypesInfoDialog();

		struct VpnTypeInfo {
			QString VpnType;
			QString Name;
			QString state;
			bool VpnState;
			QString Comment;
			QStringList Requirements;
		};
		Q3PtrList<VpnTypeInfo> *VpnTypesInfoList;

	private:
		Ui_ToolsInfoWidgetBase *ToolsInfoWidget;

};

#endif
