/***************************************************************************
*   Copyright (C) 2006 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "enterxauthinteractivepasscodedialog.h"
#include <QtGui/qdialog.h>
#include <kmessagebox.h>
#include <klocale.h>
#include <QtGui/qlineedit.h>
#include <QtGui/qlabel.h>
#include <QtGui/qdialog.h>
#include "enterxauthinteractivepasscodedialog.moc"

EnterXauthInteractivePasscodeDialog::EnterXauthInteractivePasscodeDialog( QWidget *parent, const QString& caption ) : KDialog( parent )
{
	QWidget *page = new QWidget( this );
	setMainWidget(page);
	setupUi(page);
	Password = "";

}

EnterXauthInteractivePasscodeDialog::~ EnterXauthInteractivePasscodeDialog() {
}


void EnterXauthInteractivePasscodeDialog::accept() {
	bool ok = true;
	if ( PasswordEdit->text().isEmpty() ) {
		KMessageBox::sorry( 0, i18n( "Passcode must be filled in!" ) );
		ok = false;
	}

	if ( ok ) {
		Password = PasswordEdit->text();
		QDialog::accept();
	}
}
