/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include <klocale.h>
#include <k3process.h>
#include <QtGui/qpushbutton.h>
#include <QtGui/qlineedit.h>
#include <klineedit.h>
#include <kpassworddialog.h>
#include <kmessagebox.h>
#include <Qt3Support/Q3Process>
#include <Qt3Support/q3textedit.h>
#include <QtGui/QWidget>
#include <Qt3Support/q3frame.h>
#include <Qt3Support/Q3WhatsThis>
#include <QtGui/qtooltip.h>
#include <QtGui/qlayout.h>
#include <QtGui/QGridLayout>
#include "mainview.h"


MainView::MainView( QWidget* parent, const char* name, bool, Qt::WFlags fl )
{
	setupUi(this);
	DebugOutput = new DebugOutputTextEdit(mainframe);
	QGridLayout *FrameLayout = new QGridLayout(mainframe);
	FrameLayout->addMultiCellWidget(DebugOutput,1,1,0,4);
	DebugOutput->setReadOnly(true);
	DebugOutput->setText( QString::null );
	QToolTip::add( DebugOutput, tr2i18n( "Debug console" ) );
	Q3WhatsThis::add( DebugOutput, tr2i18n( "The debug console shows useful debug information to solve problems. You need to turn on debug features for the program you want to produce output in preferences dialog." ) );
}


MainView::~MainView() {}




